<!DOCTYPE html>
<html class="notranslate" translate="no" lang="en">
	<head>
		<meta charset="UTF-8">
		<meta name="google" content="notranslate" />
		<title>{{ Escapes.htmlescape(title) }}</title>
		<link rel="stylesheet" href="/static/style.css" type="text/css" />
		<link rel="stylesheet" href="/static/tagcats.css" type="text/css" />
		<link rel="stylesheet" href="/static/user.css" type="text/css" />
		<link rel="icon" type="image/png" href="{{ Escapes.htmlescape(BigGlobe.cfg.domain .. "/static/favicon.png") }}" />
		<meta property="og:title" content="{{ Escapes.htmlescape(title) }}" />
		<meta property="og:image" content="{{ Escapes.htmlescape(ogImage and ogImage or (BigGlobe.cfg.domain .. "/static/logo.png")) }}" />
		<meta property="og:type" content="website" />
		<meta name="viewport" content="width=device-width,initial-scale=1" />
	</head>
	<body>
		<header>
			<p style="position:absolute;left:1em;margin:0;"><a href="/">{{ Escapes.htmlescape(BigGlobe.cfg.sitename) }}</a></p>
			{% if verified and verified.privs >= DB.USER_PRIVS_ADMIN then %}
				<p style="position:absolute;left:1em;top:1em;margin:0;"><a href="/admin">Admin Settings</a></p>
			{% end %}
			{% if verified and verified.privs >= DB.USER_PRIVS_MOD then %}
				<p style="position:absolute;left:1em;top:2em;margin:0;"><a href="/apprq">Approval Queue</a></p>
				<p style="position:absolute;left:1em;top:3em;margin:0;"><a href="/reports">Reports</a></p>
			{% end %}
			<div style="position:absolute;right:1em;margin:0;">
				{% if verified then %}
					<label style="margin:0;">{{ Escapes.htmlescape(verified.displayname) }}</label>
					<form method="GET" action="/verif" style="display:inline-block;">
						<input type="hidden" name="q" value="" />
						<input type="submit" value="Log out" />
					</form>
					<div><a href="/user/{{ verified.id }}">My profile</a></div>
					{% if
							(BigGlobe.cfg.membexcl == BigGlobe.MEMBEXCL_MEMBERS_INVITE and verified.privs >= DB.USER_PRIVS_APPROVED)
						or	(BigGlobe.cfg.membexcl == BigGlobe.MEMBEXCL_MODS_INVITE and verified.privs >= DB.USER_PRIVS_MOD)
						or	(BigGlobe.cfg.membexcl == BigGlobe.MEMBEXCL_ADMIN_INVITES and verified.privs >= DB.USER_PRIVS_ADMIN) then %}
						
						<div><a href="/invite">Invite</a></div>
					{% end %}
				{% else %}
					<form method="GET" action="/login">
						<input type="{{BigGlobe.cfg.anarchy == "ANARCHY" and "text" or "email"}}" name="z" required style="margin-bottom:0.5em;" />
						<input type="submit" value="Log in" /><br />
						<input type="radio" name="type" id="logemail" value="email" checked style="margin-left:0;" /><label for="logemail">E-mail</label>
						<!--<input type="radio" name="type" id="logxmpp" value="xmpp" required /><label for="logxmpp">Jabber</label>-->
					</form>
				{% end %}
			</div>
		</header>
		<main>{% content() %}</main>
		<footer>
			<p>Running Ikibooru v0.1</p>
		</footer>
		<script defer src="/static/datetimes.js"></script>
	</body>
</html>
